using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class CarOwnersInsert : DataAccessBase
	{
		public CarOwnersInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[CarOwnersInsert]");
			ConfigParameter();
		}

		private SqlParameter paramID;
		public System.Int32 ID
		{
			get
			{
				return (System.Int32)paramID.Value;
			}
			set
			{
				paramID.Value = value;
			}
		}

		private SqlParameter paramOwnersName;
		public System.String OwnersName
		{
			get
			{
				return (System.String)paramOwnersName.Value;
			}
			set
			{
				paramOwnersName.Value = value;
			}
		}

		private SqlParameter paramOwnersAdress;
		public System.String OwnersAdress
		{
			get
			{
				return (System.String)paramOwnersAdress.Value;
			}
			set
			{
				paramOwnersAdress.Value = value;
			}
		}

		private SqlParameter paramOwnersLicenseNo;
		public System.String OwnersLicenseNo
		{
			get
			{
				return (System.String)paramOwnersLicenseNo.Value;
			}
			set
			{
				paramOwnersLicenseNo.Value = value;
			}
		}

		private SqlParameter paramLicenseNoApprovalDate;
		public System.DateTime LicenseNoApprovalDate
		{
			get
			{
				return (System.DateTime)paramLicenseNoApprovalDate.Value;
			}
			set
			{
				paramLicenseNoApprovalDate.Value = value;
			}
		}

		private SqlParameter paramLicenseNoFromDate;
		public System.DateTime LicenseNoFromDate
		{
			get
			{
				return (System.DateTime)paramLicenseNoFromDate.Value;
			}
			set
			{
				paramLicenseNoFromDate.Value = value;
			}
		}

		private SqlParameter paramLicenseNoToDate;
		public System.DateTime LicenseNoToDate
		{
			get
			{
				return (System.DateTime)paramLicenseNoToDate.Value;
			}
			set
			{
				paramLicenseNoToDate.Value = value;
			}
		}

		private SqlParameter paramBusinessNo;
		public System.String BusinessNo
		{
			get
			{
				return (System.String)paramBusinessNo.Value;
			}
			set
			{
				paramBusinessNo.Value = value;
			}
		}

		private SqlParameter paramBusinessNoApprovalDate;
		public System.DateTime BusinessNoApprovalDate
		{
			get
			{
				return (System.DateTime)paramBusinessNoApprovalDate.Value;
			}
			set
			{
				paramBusinessNoApprovalDate.Value = value;
			}
		}

		private SqlParameter paramBusinessNoFromDate;
		public System.DateTime BusinessNoFromDate
		{
			get
			{
				return (System.DateTime)paramBusinessNoFromDate.Value;
			}
			set
			{
				paramBusinessNoFromDate.Value = value;
			}
		}

		private SqlParameter paramBusinessNoToDate;
		public System.DateTime BusinessNoToDate
		{
			get
			{
				return (System.DateTime)paramBusinessNoToDate.Value;
			}
			set
			{
				paramBusinessNoToDate.Value = value;
			}
		}

		private SqlParameter paramBusinessNature;
		public System.String BusinessNature
		{
			get
			{
				return (System.String)paramBusinessNature.Value;
			}
			set
			{
				paramBusinessNature.Value = value;
			}
		}

		private SqlParameter paramCorporate;
		public System.String Corporate
		{
			get
			{
				return (System.String)paramCorporate.Value;
			}
			set
			{
				paramCorporate.Value = value;
			}
		}

		private SqlParameter paramPhone;
		public System.String Phone
		{
			get
			{
				return (System.String)paramPhone.Value;
			}
			set
			{
				paramPhone.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramID = new SqlParameter();
			paramID.ParameterName = "@ID";
			paramID.SqlDbType = SqlDbType.Int;
			paramID.Precision = 10;
			paramID.Scale = 0;
			paramID.Direction = ParameterDirection.InputOutput;
			paramID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramID);
			//--------------------------------------------------------
			paramOwnersName = new SqlParameter();
			paramOwnersName.ParameterName = "@OwnersName";
			paramOwnersName.SqlDbType = SqlDbType.VarChar;
			paramOwnersName.Size = 50;
			paramOwnersName.Direction = ParameterDirection.Input;
			paramOwnersName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOwnersName);
			//--------------------------------------------------------
			paramOwnersAdress = new SqlParameter();
			paramOwnersAdress.ParameterName = "@OwnersAdress";
			paramOwnersAdress.SqlDbType = SqlDbType.VarChar;
			paramOwnersAdress.Size = 50;
			paramOwnersAdress.Direction = ParameterDirection.Input;
			paramOwnersAdress.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOwnersAdress);
			//--------------------------------------------------------
			paramOwnersLicenseNo = new SqlParameter();
			paramOwnersLicenseNo.ParameterName = "@OwnersLicenseNo";
			paramOwnersLicenseNo.SqlDbType = SqlDbType.VarChar;
			paramOwnersLicenseNo.Size = 50;
			paramOwnersLicenseNo.Direction = ParameterDirection.Input;
			paramOwnersLicenseNo.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOwnersLicenseNo);
			//--------------------------------------------------------
			paramLicenseNoApprovalDate = new SqlParameter();
			paramLicenseNoApprovalDate.ParameterName = "@LicenseNoApprovalDate";
			paramLicenseNoApprovalDate.SqlDbType = SqlDbType.DateTime;
			paramLicenseNoApprovalDate.Size = 16;
			paramLicenseNoApprovalDate.Scale = 3;
			paramLicenseNoApprovalDate.Direction = ParameterDirection.Input;
			paramLicenseNoApprovalDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLicenseNoApprovalDate);
			//--------------------------------------------------------
			paramLicenseNoFromDate = new SqlParameter();
			paramLicenseNoFromDate.ParameterName = "@LicenseNoFromDate";
			paramLicenseNoFromDate.SqlDbType = SqlDbType.DateTime;
			paramLicenseNoFromDate.Size = 16;
			paramLicenseNoFromDate.Scale = 3;
			paramLicenseNoFromDate.Direction = ParameterDirection.Input;
			paramLicenseNoFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLicenseNoFromDate);
			//--------------------------------------------------------
			paramLicenseNoToDate = new SqlParameter();
			paramLicenseNoToDate.ParameterName = "@LicenseNoToDate";
			paramLicenseNoToDate.SqlDbType = SqlDbType.DateTime;
			paramLicenseNoToDate.Size = 16;
			paramLicenseNoToDate.Scale = 3;
			paramLicenseNoToDate.Direction = ParameterDirection.Input;
			paramLicenseNoToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLicenseNoToDate);
			//--------------------------------------------------------
			paramBusinessNo = new SqlParameter();
			paramBusinessNo.ParameterName = "@BusinessNo";
			paramBusinessNo.SqlDbType = SqlDbType.VarChar;
			paramBusinessNo.Size = 50;
			paramBusinessNo.Direction = ParameterDirection.Input;
			paramBusinessNo.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessNo);
			//--------------------------------------------------------
			paramBusinessNoApprovalDate = new SqlParameter();
			paramBusinessNoApprovalDate.ParameterName = "@BusinessNoApprovalDate";
			paramBusinessNoApprovalDate.SqlDbType = SqlDbType.DateTime;
			paramBusinessNoApprovalDate.Size = 16;
			paramBusinessNoApprovalDate.Scale = 3;
			paramBusinessNoApprovalDate.Direction = ParameterDirection.Input;
			paramBusinessNoApprovalDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessNoApprovalDate);
			//--------------------------------------------------------
			paramBusinessNoFromDate = new SqlParameter();
			paramBusinessNoFromDate.ParameterName = "@BusinessNoFromDate";
			paramBusinessNoFromDate.SqlDbType = SqlDbType.DateTime;
			paramBusinessNoFromDate.Size = 16;
			paramBusinessNoFromDate.Scale = 3;
			paramBusinessNoFromDate.Direction = ParameterDirection.Input;
			paramBusinessNoFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessNoFromDate);
			//--------------------------------------------------------
			paramBusinessNoToDate = new SqlParameter();
			paramBusinessNoToDate.ParameterName = "@BusinessNoToDate";
			paramBusinessNoToDate.SqlDbType = SqlDbType.DateTime;
			paramBusinessNoToDate.Size = 16;
			paramBusinessNoToDate.Scale = 3;
			paramBusinessNoToDate.Direction = ParameterDirection.Input;
			paramBusinessNoToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessNoToDate);
			//--------------------------------------------------------
			paramBusinessNature = new SqlParameter();
			paramBusinessNature.ParameterName = "@BusinessNature";
			paramBusinessNature.SqlDbType = SqlDbType.VarChar;
			paramBusinessNature.Size = 50;
			paramBusinessNature.Direction = ParameterDirection.Input;
			paramBusinessNature.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessNature);
			//--------------------------------------------------------
			paramCorporate = new SqlParameter();
			paramCorporate.ParameterName = "@Corporate";
			paramCorporate.SqlDbType = SqlDbType.VarChar;
			paramCorporate.Size = 50;
			paramCorporate.Direction = ParameterDirection.Input;
			paramCorporate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCorporate);
			//--------------------------------------------------------
			paramPhone = new SqlParameter();
			paramPhone.ParameterName = "@Phone";
			paramPhone.SqlDbType = SqlDbType.VarChar;
			paramPhone.Size = 50;
			paramPhone.Direction = ParameterDirection.Input;
			paramPhone.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramPhone);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}